### Method

# Gtk.PrintSettings.get_int_with_default

#### Declaration [src]

    int
    gtk_print_settings_get_int_with_default (
      GtkPrintSettings* settings,
      const char* key,
      int def
    )

#### Description [src]

Returns the value of `key`, interpreted as an integer, or the default value.

#### Parameters

`key` | `const char*`
| a key
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`def` | `int`
| the default value

#### Return value

Returns: `int`
the integer value of `key`